
:- module test.

:- interface.

:- import_module io.



:- pred main(io__state::di, io__state::uo) is det.

% ---------------------------------------------------------------------------- %
% ---------------------------------------------------------------------------- %

:- implementation.

:- import_module int, list, string, curs, curs__panel.

:- type panel_data
    --->    panel_data(
                panel   ::  panel,
                row     ::  int,
                col     ::  int
            ).

% ---------------------------------------------------------------------------- %

main -->

    start,
    rows_cols(Rows, Cols),

    move(0, 0),
    addstr(normal, string__format("display size: %dx%d", [i(Rows), i(Cols)])),

    main_loop,

    stop.

% ---------------------------------------------------------------------------- %

:- pred main_loop(io__state, io__state).
:- mode main_loop(di, uo) is det.

main_loop -->

    doupdate,

    getch(K),

    ( if { K = 0'q       } then []
      else main_loop
    ).
